glibmm 2.30.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# Glib::Variant< gint64 > Class Template Reference
Variant Data Types

Specialization of Glib::Variant containing a gint64 type. More...

`#include <glibmm/variant_basictypes.h>`

Inheritance diagram for Glib::Variant< gint64 >:
[legend]

List of all members.

## Public Types
typedef gint64 | CType
## Public Member Functions
| Variant ()
| Default constructor.
| Variant (GVariant* castitem, bool take_a_reference=false)
| GVariant constructor.
gint64 | get () const
| Gets the value of the Glib::Variant<gint64>.
## Static Public Member Functions
static const VariantType& | variant_type ()
| Gets the Glib::VariantType.
static Variant< gint64 > | create (gint64 data)
| Creates a new Glib::Variant<gint64>.

## Detailed Description

### template<>
class Glib::Variant< gint64 >

Specialization of Glib::Variant containing a gint64 type.

Since glibmm 2.26:

## Member Typedef Documentation

typedef gint64 Glib::Variant< gint64 >::CType

## Constructor & Destructor Documentation

Glib::Variant< gint64 >::Variant | ( |  | ) | `[inline]`

Default constructor.

Glib::Variant< gint64 >::Variant | ( | GVariant< gint64 > * | castitem,
|  | bool | take_a_reference = `false`
| ) |  | `[inline, explicit]`

GVariant constructor.

Parameters:

  castitem | The GVariant to wrap.

## Member Function Documentation

static Variant<gint64> Glib::Variant< gint64 >::create | ( | gint64 | data | ) | `[static]`

Creates a new Glib::Variant<gint64>.

Parameters:

  data | The value of the new Glib::Variant<gint64>.

Returns:
  The new Glib::Variant<gint64>.

gint64 Glib::Variant< gint64 >::get | ( |  | ) | const

Gets the value of the Glib::Variant<gint64>.

Returns:
  The gint64 value of the Glib::Variant<gint64>.

static const VariantType& Glib::Variant< gint64 >::variant_type | ( |  | ) | `[static]`

Gets the Glib::VariantType.

Returns:
  The Glib::VariantType.